Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.common.swing
Class Msg

    java.lang.Object
      org.crosswire.common.util.MsgBase
          org.crosswire.common.swing.Msg

     class Msg

extends MsgBase

Compile safe Msg resource settings.

Distribution Licence: JSword is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License, version 2 as published by the Free Software Foundation. This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. The License is available on the internet here, or by writing to: Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA The copyright to this program is held by it's authors.

Version:
  $Id: Msg.java,v 1.4 2004/06/27 22:09:00 joe Exp $
Author:
  Joe Walker [joe at eireneh dot com]
See Also:
  `Licence`

Field Summary
`(package private) static Msg` | `BOLD`
`(package private) static Msg` | `CANCEL`
`(package private) static Msg` | `CAUSED_BY`
`(package private) static Msg` | `CLOSE`
`(package private) static Msg` | `DETAILS`
`(package private) static Msg` | `ERROR`
`(package private) static Msg` | `ERROR_OCCURED`
`(package private) static Msg` | `ERROR_READING`
`(package private) static Msg` | `ITALIC`
`(package private) static Msg` | `KEYS`
`(package private) static Msg` | `NO_DESC`
`(package private) static Msg` | `NO_FILE`
`(package private) static Msg` | `NO_PROBLEMS`
`(package private) static Msg` | `OK`
`(package private) static Msg` | `PLAF_CHANGE`
`(package private) static Msg` | `REMOVE`
`(package private) static Msg` | `SELECT_FONT`
`(package private) static Msg` | `SOURCE_ATTEMPT`
`(package private) static Msg` | `SOURCE_FOUND`
`(package private) static Msg` | `SOURCE_NOT_FOUND`
`(package private) static Msg` | `STATUS`
`(package private) static Msg` | `VALUES`

Constructor Summary
`private` | `Msg(String name)` Passthrough ctor

Method Summary

Methods inherited from class org.crosswire.common.util.MsgBase
`loadResources, toString, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ERROR_READING

    static final Msg ERROR_READING

### CLOSE

    static final Msg CLOSE

### ERROR_OCCURED

    static final Msg ERROR_OCCURED

### OK

    static final Msg OK

### DETAILS

    static final Msg DETAILS

### NO_FILE

    static final Msg NO_FILE

### ERROR

    static final Msg ERROR

### CAUSED_BY

    static final Msg CAUSED_BY

### NO_DESC

    static final Msg NO_DESC

### SOURCE_NOT_FOUND

    static final Msg SOURCE_NOT_FOUND

### SOURCE_FOUND

    static final Msg SOURCE_FOUND

### SOURCE_ATTEMPT

    static final Msg SOURCE_ATTEMPT

### NO_PROBLEMS

    static final Msg NO_PROBLEMS

### STATUS

    static final Msg STATUS

### REMOVE

    static final Msg REMOVE

### CANCEL

    static final Msg CANCEL

### SELECT_FONT

    static final Msg SELECT_FONT

### BOLD

    static final Msg BOLD

### ITALIC

    static final Msg ITALIC

### PLAF_CHANGE

    static final Msg PLAF_CHANGE

### KEYS

    static final Msg KEYS

### VALUES

    static final Msg VALUES

Constructor Detail

### Msg

    private Msg(String name)

  Passthrough ctor

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ? 2003-2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD